import 'package:zhiying_base_widget/widgets/goods_details/slide_banner/model/goods_details_silde_banner_model.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class GoodsDetailsSlideBannerRepository {
  /// 加载父页面数据
  Future<GoodsDetailsSlideBannerModel> fetchParentData(final Map<String, dynamic> model) async {
    if (!EmptyUtil.isEmpty(model)) {
      try {
        return GoodsDetailsSlideBannerModel.fromJson(model['data']);
      } catch (e) {
        Logger.log(e);
      }
    }
    return null;
  }

  /// 加载网络数据
  Future<GoodsDetailsSlideBannerModel> fetchNetData(final Map<String, dynamic> model) async {
    return null;
  }
}
